package com.fdkankan.ucenter.service;

import com.fdkankan.ucenter.entity.Folder;
import com.fdkankan.ucenter.entity.FolderScene;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.HashMap;
import java.util.List;

/**
 * <p>
 * 文件夹和场景关联表 服务类
 * </p>
 *
 * @author 
 * @since 2022-07-08
 */
public interface IFolderSceneService extends IService<FolderScene> {

    void deleteByFolderIds(List<Long> delIds,Long userId);

    FolderScene getByTypeNum(String num, Integer type);
    FolderScene getByType(String sceneId, Integer type);

    HashMap<Long, Long> getGroupByFolderIds(List<Folder> folderIds);

    Long getCountByFolderAndSon(Long folderId);

    void delBySceneId(List<Long> proIds);

    void delByCameraIds(List<Long> cameraIds);
}
